function plot_grcar_paths()

% Plot the iterates for grcar

randn('state',0); rand('state',0);
A = grcar_demo(100);

epsln = 1e-4;
[exactvalue, z, ierr] = pspa(A,epsln);


opts.prntlvl = 1;
opts.maxit = 100;
opts.exactvalue = exactvalue;
opts.rel_tol = 1e-8;

opts1 = opts;
opts1.tol_svd = -1; % always use EIG
opts5 = opts;
opts5.tol_svd = Inf; % always use SVD

[f_ver1,out_ver1] = subspace_pspa(A,epsln,opts1);
[f_ver5,out_ver5] = subspace_pspa(A,epsln,opts5);


opts1.start_z = 1.5-0.1i; opts5.start_z = 1.5-0.1i;
[f_ver1,out_ver1_a] = subspace_pspa(A,epsln,opts1);
[f_ver5,out_ver5_a] = subspace_pspa(A,epsln,opts5);
 
opts1.start_z = 2+0.6i; opts5.start_z = 2+0.6i;
[f_ver1,out_ver1_b] = subspace_pspa(A,epsln,opts1);
[f_ver5,out_ver5_b] = subspace_pspa(A,epsln,opts5);
 
opts1.start_z = 1.65-0.7i; opts5.start_z = 1.65-0.7i;
[f_ver1,out_ver1_c] = subspace_pspa(A,epsln,opts1);
[f_ver5,out_ver5_c] = subspace_pspa(A,epsln,opts5);

% plot
opts.npts = 200; 
opts.print_plot = 0; opts.no_graphics = 1;
opts.levels = [-6 -5 -4 -3 -2];
opts.tick_lines = 0;
opts.ax = [1.4 2.6 -1 1.5];
[X,Y,SIGS] = eigtool(A, opts);
e = eig(A);

figure(1)
grey = [0.4,0.4,0.4];
contour(X,Y,log10(SIGS), [-4 -4], 'LineWidth', 2, 'LineStyle', '-', 'Color', grey);
hold on
plot(real(e), imag(e), 'o','MarkerSize', 5, 'MarkerFaceColor', grey, 'MarkerEdgeColor', grey)


plot(real(out_ver5.z_pspa),   imag(out_ver5.z_pspa),   '--ro', 'MarkerSize', 5, 'LineWidth', 1)%, 'MarkerFaceColor', 'r')
plot(real(out_ver5_a.z_pspa), imag(out_ver5_a.z_pspa), '--ro', 'MarkerSize', 5, 'LineWidth', 1)%, 'MarkerFaceColor', 'r')
plot(real(out_ver5_b.z_pspa), imag(out_ver5_b.z_pspa), '--ro', 'MarkerSize', 5, 'LineWidth', 1)%, 'MarkerFaceColor', 'r')
plot(real(out_ver5_c.z_pspa), imag(out_ver5_c.z_pspa), '--ro', 'MarkerSize', 5, 'LineWidth', 1)%, 'MarkerFaceColor', 'r')

%plot(real(out_ver5_b.z_pspa), imag(out_ver5_b.z_pspa), '--kd', 'MarkerSize', 8);%, 'MarkerFaceColor', 'k')
%plot(real(out_ver5_c.z_pspa), imag(out_ver5_c.z_pspa), '--bo', 'MarkerSize', 8, 'MarkerFaceColor', 'b')

plot(real(out_ver1.z_pspa), imag(out_ver1.z_pspa), '--bs', 'MarkerSize', 5, 'LineWidth', 1, 'MarkerFaceColor', 'b')
plot(real(out_ver1_a.z_pspa), imag(out_ver1_a.z_pspa), '--bs', 'MarkerSize', 5, 'LineWidth', 1, 'MarkerFaceColor', 'b')
plot(real(out_ver1_b.z_pspa), imag(out_ver1_b.z_pspa), '--bs', 'MarkerSize', 5, 'LineWidth', 1, 'MarkerFaceColor', 'b')
plot(real(out_ver1_c.z_pspa), imag(out_ver1_c.z_pspa), '--bs', 'MarkerSize', 5, 'LineWidth', 1, 'MarkerFaceColor', 'b')


hold off

%saveas(gcf, 'path_grcar.eps', 'psc2')
print(gcf, '-depsc2', '-loose', 'debug/eps/path_grcar_bw.eps')

