function plot_grcar_pspas()

% Plot the iterates for grcar

randn('state',0); rand('state',0);
A = grcar_demo(100);
epsln = 1e-2;
[exactvalue, z, ierr] = pspa(A,epsln);
eA = eig(A);
DELTA = 1;

opts.prntlvl = 1;
opts.maxit = 100;
opts.exactvalue = exactvalue;
opts.rel_tol = 1e-11;
opts.debug = true;
%opts.restart = 3;
%opts.start_z = exactvalue - DELTA*(1-1i);

[f_ver1, out_ver1] = subspace_pspa(A,epsln,opts);
%[f_ver1,out_ver1] = subspace_ver5(A,epsln,opts);

opts.npts = 200; 
opts.print_plot = 0; opts.no_graphics = 1;
opts.levels = [-3.5 -3 -2.5 -2 -1.5 -1 -0.5];
opts.levels_pspa = [-3.5 -3 -2.5 -2 -1.5 -1 -0.5];
opts.tick_lines = 0;
opts.ax = [1.35 3.1 -1 1.5];
ax_plot = opts.ax + [0.05 0 0 0];

[X,Y,SIGS] = eigtool(A, opts);
save debug/plot_grcar_pspas.mat X Y SIGS    % It may be good to store the eigtool computation
%load debug/plot_grcar_pspas.mat X Y SIGS
close all



load debug/dump.mat

grey = [102 102 102]/255;

% Make  plots of pspa of pencil and A

for k=1:length(data)
%  setFigForPaper(k)    % If you have a layout function for plots  
  figure(k)             % otherwise use a normal new figure
  
  plot(real(eA), imag(eA), 'ko','MarkerSize', 5, 'Color', 'k', 'MarkerFaceColor', 'k')
  hold on
  [cout, hand] = contour(X,Y,log10(SIGS), opts.levels, 'LineWidth', 0.5, 'LineStyle', '-');%, 'Color', grey); 
  %[cout2, hand2] = contour(X,Y,log10(SIGS), [log10(epsln) log10(epsln)], 'LineWidth', 2, 'Color', grey);
  
  
  opts.bounds = opts.ax;
  opts.contours = opts.levels_pspa;
  opts.fig = k;
  opts.Color_Epsilon = [51 153 255]/255; % light blue
  plot_pseudospectra(data{k}.AA,data{k}.BB,data{k}.epsilon,opts)  
  hold on
  plot(real(data{k}.z), imag(data{k}.z), '+', 'LineWidth', 3, 'MarkerSize', 8, 'MarkerFaceColor', 'k', 'Color', 'k'); %in case spectrum is too small
  size_subspace = size(data{k}.AA,2)
  
  axis(ax_plot)
  %pause
  if isfield(data{k}, 'restart_AA')
    disp('restarting')
      plot_pseudospectra(data{k}.AA,data{k}.BB,data{k}.epsilon,opts)
      pause
  end
  axis(ax_plot)
  
  
  
  % This enforces dashed lines to be visible: see http://www.mathworks.ch/support/solutions/en/data/1-14PPHB/index.html?product=ML&solution=1-14PPHB
  % Good if you want dashed lines (unfortunately, doensn't work so well in
  % the end)
  %set(gcf,'renderer','zbuffer') 
  
  hold off
  file_name = sprintf('debug/eps/movie_path_grcar_eps2_rev_%u.eps',k);
  print(gcf, '-depsc2', '-loose', file_name)
  %saveas(gcf, sprintf('results_for_paper/eps/movie_path_grcar_eps2_%u.eps',k), 'psc2')
  %print(gcf, '-r900', '-dpng', sprintf('results_for_paper/png/movie_path_grcar_eps2_%u.png',k))
    

end



fig = k+1;
figure(fig)
[con,con_hdl] = contour(X,Y,log10(SIGS), opts.levels, 'LineWidth', 1, 'LineStyle', '-');
add_mycolourbar(con,fig,opts.levels);
hold on
contour(X,Y,log10(SIGS), [log10(epsln) log10(epsln)], 'LineWidth', 2, 'LineStyle', '-', 'Color', opts.Color_Epsilon);
plot(real(eA), imag(eA), 'ko','MarkerSize', 6, 'MarkerFaceColor', 'k')

opts = rmfield(opts, 'contours');
opts.bounds = opts.ax;  
opts.fig = fig;
opts.Color_Epsilon = 'k'; 
  
for k=1:length(data)-1  
  hold on
  plot_pseudospectra(data{k}.AA,data{k}.BB,data{k}.epsilon,opts)  
  hold on
  plot(real(data{k}.z), imag(data{k}.z), 'x', 'MarkerSize', 8, 'MarkerFaceColor', 'k', 'Color', 'k'); %in case spectrum is too small  
end
axis(ax_plot)
saveas(gcf, 'debug/eps/pspa_path_grcar_eps2_rev.eps', 'psc2')
hold off



